// import qs from 'qs';






// function formatUrlWithParams(url, params) {
// 	return `${url}?${qs.stringify(params, { encode: false })}`;
// }

/**
 * uni 页面跳转修改，支持传入对象参数，保留当前页面，跳转到应用内的某个页面
 * @param url uni 跳转的页面
 * @param params 参数
 */
function navigateTo(url, params = {}) {
	uni.navigateTo({
		url: formatUrlWithParams(url, params)
	});
}
//修改时间格式
export const formatSecond = (val) => {
	let time = Number(val)
	if (time > 3600) {
		// 大于一个小时
		let h = parseInt(time / 60 / 60 % 24)
		h = h > 0 ? h + '小时' : ''
		let m = parseInt(time / 60 % 60)
		m = m > 0 ? m + '分钟' : ''
		return h + m
	} else if (time < 3600 && time > 60) {
		let m = parseInt(time / 60 % 60)
		m = m > 0 ? m + '分钟' : ''
		let s = parseInt(time % 60)
		s = s > 0 ? s + '秒' : ''
		return m + s
	} else if (time < 60 && time > 0) {
		return time + '秒'
	} else {
		return 0
	}

}
export const formatSecondEn = (val) => {
	let time = Number(val)
	if (time > 3600) {
		// 大于一个小时
		let h = parseInt(time / 60 / 60 % 24)
		h = h > 0 ? h + 'h' : ''
		let m = parseInt(time / 60 % 60)
		m = m > 0 ? m + 'm' : ''
		return h + m
	} else if (time < 3600 && time > 60) {
		let m = parseInt(time / 60 % 60)
		m = m > 0 ? m + 'm' : ''
		let s = parseInt(time % 60)
		s = s > 0 ? s + 's' : ''
		return m + s
	} else if (time < 60 && time > 0) {
		return time + 's'
	} else {
		return 0
	}
}
// 2024-01-21转1.21
export const formatDate = (dateString) => {
	// 将字符串格式的日期转换成Date对象
	var date = new Date(dateString);
	// 获取月份和日期
	var month = date.getMonth() + 1; // 月份从0开始，所以要加1
	var day = date.getDate();
	// 拼接月份和日期并返回结果
	var formattedDate = month + '.' + day;
	return formattedDate;
}
/**
 * 时间格式化 YY.MM.DD hh:mm 或者YY.MM.DD
 * @param
 * @returns
 */
export const formatDate1 = (date, toMinute) => {
	let date1 = new Date(date);
	let year = date1.getFullYear();
	let month = date1.getMonth() + 1; // 月份是从0开始的
	let day = date1.getDate();
	let hour = date1.getHours()
	let minute = date1.getMinutes()
	if (toMinute) {
		return year + '.' + (month < 10 ? '0' + month : month) + '.' + (day < 10 ? '0' + day : day) + ' ' + (hour <
				10 ? '0' + hour : hour) + ':' +
			(minute < 10 ? '0' + minute : minute);
	} else {
		return year + '.' + (month < 10 ? '0' + month : month) + '.' + (day < 10 ? '0' + day : day);
	}

}